org.deidentifier.arx.gui.view.impl.utility

## Class LayoutUtility

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.utility.LayoutUtility

All Implemented Interfaces:
  ILayout

    public class LayoutUtility
    extends java.lang.Object
    implements ILayout

This class layouts the analysis view.

Author:
  Fabian Prasser

### Nested Class Summary

Nested Classes
`static class` `LayoutUtility.ViewUtilityType` Type of view which is displayed

### Constructor Summary

Constructors
Constructor and Description
`LayoutUtility(org.eclipse.swt.widgets.Composite parent, Controller controller)` Creates a new instance.

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LayoutUtility

    public LayoutUtility(org.eclipse.swt.widgets.Composite parent,
                         Controller controller)

Creates a new instance.

Parameters:
  `parent` -
  `controller` -